<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml" xmlns:th="https://www.thymeleaf.org">
	<head>
	    <meta charset="utf-8">
	    <meta name="viewport" content="width=device-width, initial-scale=1.0, user-scalable=0">
	    <link rel="stylesheet" type="text/css" href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.0-beta1/dist/css/bootstrap.min.css"/>
	    <link rel="stylesheet" type="text/css" href="https://cdn.datatables.net/1.10.23/css/jquery.dataTables.min.css"/>
	    <link rel="stylesheet" type="text/css" href="https://stackpath.bootstrapcdn.com/font-awesome/4.7.0/css/font-awesome.min.css">
	</head>
	
	<body>
		<div class="container">
			<div class="row">
				<h1>Datatable Example</h1>
			</div>
			
			<table id="example" class="display" style="width:100%">
		        <thead>
		            <tr>
		                <th>Id</th>
		                <th>Email</th>
		                <th>First Name</th>
		                <th>Last Name</th>
		                <th>Action</th>
		            </tr>
		        </thead>
			</table>
		</div>
		
		<script src="https://code.jquery.com/jquery-3.5.1.js"></script>
	    <script src="https://cdn.datatables.net/1.10.23/js/jquery.dataTables.min.js"></script>
	    <!-- <script src="https://cdn.datatables.net/1.10.23/js/dataTables.bootstrap.min.js"></script> -->
	    
		<script type="text/javascript">
			$(document).ready(function() {
		    	var table = $("#example").DataTable({
		    		serverSide: true,
		    		processing: true,
		    		language: {
		                processing: '<i class="fa fa-spinner fa-spin fa-3x fa-fw"></i><span class="sr-only">Loading...</span> '
		            },
		    	    ajax: {
		    	    	'contentType' : 'application/json',
		    	        'url' : '/employee',
		    	        'type' : 'POST',
		    	        'data': function(d) {
		    	            return JSON.stringify(d);
		    	        }
		    	    },
		    	    columns: [
		    	    	{
		                    data: 'id',
	                    	render: function ( data, type, row, meta ) {
	                    	      return '<img width="28" height="28" src="user.jpg" class="rounded-circle m-r-5" alt="user">&nbsp;&nbsp;' + data;
                    	    }
		                },
		                {
		                    data: 'email'
		                },
		                {
		                    data: 'firstName'
		                },
		                {
		                    data: 'lastName'
		                },
		                {
							data: null,
							defaultContent: "<button class='btn btn-primary'>View</button>",							
							orderable: false,
							searchable: false
						}
		    		]
		    	});
			 
				$('#example tbody').on('click', 'button', function () {
					var value = $(this).parent().parent().find('td:first-child').text()
					alert(value);
				});
			});
		</script>
	</body>
</html>